DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageReadLSMInfo

Get information about image in LSM file (in dipIO)

## SYNOPSIS

`#include "dipio_lsm.h"`

dip_Error dipio_ImageReadLSMInfo ( imInfo, filename )

## FUNCTION

Opens a LSM file and fills a `dipio_ImageFileInformation` structure with the information from that file. `imInfo` must be allocated before calling this function.

## ARGUMENTS

Data type | Name | Description
`dipio_ImageFileInformation` | `imInfo` | Output image file information. See `ImageFileInformationNew`
`dip_String` | `filename` | File name

## SOFTWARE

This function uses `libtiff` (version 3.6.1 or later), which supports the TIFF specification revision 6.0. Copyright (c)1988-1997 Sam Leffler and Copyright (c)1991-1997 Silicon Graphics, Inc.

## SEE ALSO

`ImageFileGetInfo`, `ImageIsLSM`, `ImageReadLSM`, `ImageFileInformationNew`